## rubygems-integration 1.2

=== Makefile ===
SPECS = $(wildcard spec/*_spec.rb)

all:
	@echo Nothing to build!

run-specs:
	ruby -Ilib $(SPECS)

install:
	install -m 755 -d $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults
	install -m 644 lib/rubygems/defaults/operating_system.rb $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults

uninstall:
	$(RM) $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb
	rmdir $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults || true
	rmdir $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems || true

clean:
	@echo Nothing to clean

## rubygems-integration 1.1

=== debian/changelog ===
rubygems-integration (1.1) unstable; urgency=low

  * Add gemspec for rdoc-3.9.4 which is included with ruby1.9.1

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jun 2012 08:56:00 -0300

rubygems-integration (1.0) unstable; urgency=low

  * Initial release.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 24 Jun 2012 17:25:52 -0300

=== debian/control ===
Source: rubygems-integration
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/rubygems-integration.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/rubygems-integration.git;a=summary

Package: rubygems-integration
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Suggests: rubygems, bundler
Description: integrates Debian Ruby packages with Rubygems
 rubygems-integration makes Debian Ruby packages recognizable by Rubygems.
 Debian Ruby packages may be used to satisfy Rubygems dependencies both with
 plain Rubygems and with Bundler. This also allows one to use Debian Ruby
 packages to satisfy dependencies in Rails 3 applications.

## rubygems-integration 1.2

=== debian/changelog ===
rubygems-integration (1.2) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields

  [ Christian Hofstaedtler ]
  * Silence warnings caused by overriding methods (Closes: #679688)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 02 Jun 2013 12:31:00 -0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/pkg-ruby-extras/rubygems-integration.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/rubygems-integration.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rubygems-integration.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/rubygems-integration.git;a=summary
 
 Package: rubygems-integration
 Architecture: all

## rubygems-integration 1.5

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
+RUBY = ruby
 SPECS = $(wildcard spec/*_spec.rb)
 
 all:
 	@echo Nothing to build!
 
 run-specs:
-	ruby -Ilib $(SPECS)
+	$(RUBY) -Ilib $(SPECS)
 
 install:
 	install -m 755 -d $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults

=== debian/changelog ===
rubygems-integration (1.5) unstable; urgency=medium

  * Add /usr/share/rubygems-integration/all to the gem path.
    This will allow installing a single gemspec for `Architecture: all`
    packages that will work with every interpreter, and won't require a new
    upload when a new interpreter comes along.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 10 Feb 2014 12:16:17 -0300

rubygems-integration (1.4) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Support Ruby 2.0+ "default gems" directory

  [ Antonio Terceiro ]
  * Mark as Multi-Arch: foreign
  * Workaround problem with install path of ruby2.0
  * add autopkgtests

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 16 Jan 2014 18:24:54 +0100

rubygems-integration (1.3) unstable; urgency=medium

  * Team upload.

  [ Antonio Terceiro ]
  * Make it possible interpreter to run tests under

  [ Cédric Boutillier ]
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Drop rubygems from suggested packages, since shipped by Ruby 1.9+

 -- Cédric Boutillier <boutil@debian.org>  Thu, 16 Jan 2014 16:27:13 +0100

=== debian/control ===
Source: rubygems-integration
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rubygems-integration.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/rubygems-integration.git;a=summary
XS-Testsuite: autopkgtest

Package: rubygems-integration
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Suggests: bundler
Multi-Arch: foreign
Description: integration of Debian Ruby packages with Rubygems
 rubygems-integration makes Debian Ruby packages recognizable by Rubygems.
 Debian Ruby packages may be used to satisfy Rubygems dependencies both with
 plain Rubygems and with Bundler. This also allows one to use Debian Ruby
 packages to satisfy dependencies in Rails 3 applications.

=== debian/tests/control ===
Tests: package-list
Depends: @, ruby-ffi

## rubygems-integration 1.6%2Bnmu1~20140425112336.6

=== debian/changelog ===
rubygems-integration (1.6+nmu1~20140425112336.6) unstable; urgency=low

  [ Mario Fetka ]
  * Non-maintainer upload.
  * rebuild

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 1.6+nmu1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@grz-debbuild01-v.sms.local>  Fri, 25 Apr 2014 13:23:36 +0200

rubygems-integration (1.6) unstable; urgency=medium

  * debian/tests/package-list: make output easier to read. First output the
    list of gems to a file, then grep that file.
  * Drop rdoc workaround for Ruby 1.9
  * Add support for disabling rubygems-integration by setting an environment
    variable DEBIAN_DISABLE_RUBYGEMS_INTEGRATION.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 10 Apr 2014 16:47:15 -0300

## rubygems-integration 1.7

=== debian/changelog ===
rubygems-integration (1.7) unstable; urgency=medium

  * Drop dependency on Ruby, since the interpreters now actually depend on
    this package.
  * Add workaround for loading ruby2.1-specific gemspecs from wrong path used
    by gem2deb (Closes: #746470)
    .
    The definitive fix belongs in gem2deb and is making it install the
    gemspecs to the correct place so that rubygems-integration does not have
    to be changed again when the next version comes.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 30 Apr 2014 10:52:48 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: rubygems-integration
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: bundler
 Multi-Arch: foreign
 Description: integration of Debian Ruby packages with Rubygems

## rubygems-integration 1.8

=== debian/changelog ===
rubygems-integration (1.8) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Improve smoke tests in debian/tests/package-list.
    .
    Test a gem that comes together with the interpreter, one arch:all and one
    arch:any

  [ Christian Hofstaedtler ]
  * Add myself to Uploaders
  * Advise rubygems to load SSL certificates from the ca-certificates
    provided list. (Closes: #689074)

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 05 Sep 2014 02:37:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>, Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rubygems-integration.git
@@ -11,7 +11,7 @@
 
 Package: rubygems-integration
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
 Suggests: bundler
 Multi-Arch: foreign
 Description: integration of Debian Ruby packages with Rubygems

=== debian/tests/control ===
Tests: package-list
Depends: @, ruby-all-dev, ruby-ffi, ruby-magic

## rubygems-integration 1.9

=== debian/changelog ===
rubygems-integration (1.9) unstable; urgency=medium

  * Include /usr/lib/$(triplet)/rubygems-integration/$(api_version) in the
    Rubygems path. This might be used in the future to make Ruby packages
    support multiarch.
  * debian/tests/control: run specs against installed package.
  * Add workaround for Ruby 2.2 because gem2deb < 0.18.2 installed
    gemspecs to directories named after the short Ruby version (2.2) instead
    of the API_VERSION (2.2.0). There was already a similar workaround for
    Ruby 2.1, so this should have been fixed a long time ago.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 17 Jun 2015 19:13:10 -0300

## rubygems-integration 1.10

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,9 @@
 all:
 	@echo Nothing to build!
 
-run-specs:
+.PHONY: spec
+
+spec:
 	$(RUBY) -Ilib $(SPECS)
 
 install:

=== debian/changelog ===
rubygems-integration (1.10) unstable; urgency=medium

  * Fix overlay incompatibility starting with Ruby 2.1.
    Thanks to Gustavo Machado Campagnani Gama <nsn.igenesis@gmail.com>
    (Closes: #783972)
  * Stop installing compatibility symlink for ruby2.0

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 19 Dec 2015 01:47:10 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rubygems-integration.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/rubygems-integration.git;a=summary
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 
 Package: rubygems-integration
 Architecture: all

## rubygems-integration 1.11

=== debian/changelog ===
rubygems-integration (1.11) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files

  [ Christian Hofstaedtler ]
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Bump debhelper compat level to 10

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 18 Dec 2016 17:43:10 +0000

=== debian/control ===
Source: rubygems-integration
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Christian Hofstaedtler <zeha@debian.org>
Build-Depends: debhelper (>= 10~)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rubygems-integration.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rubygems-integration.git
Testsuite: autopkgtest

Package: rubygems-integration
Architecture: all
Depends: ca-certificates,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: bundler
Multi-Arch: foreign
Description: integration of Debian Ruby packages with Rubygems
 rubygems-integration makes Debian Ruby packages recognizable by Rubygems.
 Debian Ruby packages may be used to satisfy Rubygems dependencies both with
 plain Rubygems and with Bundler. This also allows one to use Debian Ruby
 packages to satisfy dependencies in Rails 3 applications.

## rubygems-integration 1.11+apricot

=== debian/changelog ===
rubygems-integration (1.11+apricot) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files

  [ Christian Hofstaedtler ]
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Bump debhelper compat level to 10

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 18 Dec 2016 17:43:10 +0000

## rubygems-integration 1.11+deb10u1

=== debian/changelog ===
rubygems-integration (1.11+deb10u1) buster; urgency=medium

  * Replace usage of Gem::ConfigMap with RbConfig::CONFIG
    This avoid deprecation warnings when users install a newer version of
    Rubygems via `gem update --system`.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 04 Feb 2020 14:11:57 +0100

## rubygems-integration 1.11+deb10u1+nmu1

=== debian/changelog ===
rubygems-integration (1.11+deb10u1+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:51:19 +0800

## rubygems-integration 1.16

=== Makefile ===
RUBIES = $(shell ruby -rruby_debian_dev -e "puts RubyDebianDev::SUPPORTED_RUBY_VERSIONS.keys.join(' ')")
SPEC_ON_ALL_RUBIES = $(patsubst %, spec-%, $(RUBIES))
SPECS = $(wildcard spec/*_spec.rb)

all:
	@echo Nothing to build!

.PHONY: spec $(SPEC_ON_ALL_RUBIES)

spec: $(SPEC_ON_ALL_RUBIES)
	@echo $(SPEC_ON_ALL_RUBIES)

$(SPEC_ON_ALL_RUBIES): spec-%:
	$* -w -Ilib $(SPECS)

install:
	install -m 755 -d $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults
	install -m 644 lib/rubygems/defaults/operating_system.rb $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults

uninstall:
	$(RM) $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb
	rmdir -p $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults

clean:
	@echo Nothing to clean

=== debian/changelog ===
rubygems-integration (1.16) unstable; urgency=medium

  * Avoid warnings about overridden methods on ruby2.7
  * Run specs against all available ruby interpreters
  * Run spec with warnings turned on
  * Bump Standards-Version to 4.5.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Feb 2020 12:43:07 +0100

rubygems-integration (1.15) unstable; urgency=medium

  * make uninstall: remove empty leftover directories
  * ruby2.7+: silence warning about rubyforge_project= in gemspecs
  * rubygems_integration_spec: fix warnings on newer minitest

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 20 Dec 2019 19:52:57 -0300

rubygems-integration (1.14) unstable; urgency=medium

  * Ensure /usr/lib/ruby/gems/$VERSION is in the gem path
  * Adjust coding style with rubocop
  * Update copyright years
  * Proofead README.markdown

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 13 Nov 2019 19:11:58 -0300

rubygems-integration (1.13) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.

  [ Antonio Terceiro ]
  * Replace usage of Gem::ConfigMap with RbConfig::CONFIG
  * Bump Standards-Version to 4.4.1; no changes needed otherwise

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 13 Nov 2019 16:52:15 -0300

rubygems-integration (1.12) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * debian/tests/control: run wrap-and-sort
  * debian/control: packaging updates
    * Bump debhelper compatibility level to 12
    * Bump Standards-Version to 4.4.0
    * Point Vcs-* to salsa.debian.org
    * add Rules-Requires-Root: no
  * Drop support for ruby 2.1 and 2.2
  * Downgrade priority of architecture-specific gems
  * Drop debian/compat (replaced with Depends: debhelper-compat)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Aug 2019 20:13:07 -0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Christian Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper (>= 10~)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rubygems-integration.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rubygems-integration.git
-Testsuite: autopkgtest
+Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/ruby-team/rubygems-integration.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/rubygems-integration
+Rules-Requires-Root: no
 
 Package: rubygems-integration
 Architecture: all

=== debian/tests/control ===
Tests: package-list
Depends: ruby,
         ruby-all-dev,
         ruby-ffi,
         ruby-magic,
         @

Test-Command: make spec
Depends: @, ruby, ruby-all-dev
Features: test-name=spec

Test-Command: gem list --installed stringio
Features: test-name=default-gems
Depends: ruby,
         @

## rubygems-integration 1.17.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 RUBIES = $(shell ruby -rruby_debian_dev -e "puts RubyDebianDev::SUPPORTED_RUBY_VERSIONS.keys.join(' ')")
 SPEC_ON_ALL_RUBIES = $(patsubst %, spec-%, $(RUBIES))
-SPECS = $(wildcard spec/*_spec.rb)
+ifeq (,$(AUTOPKGTEST_TMP))
+	LIB := -Ilib
+endif
 
 all:
 	@echo Nothing to build!
@@ -11,7 +13,8 @@
 	@echo $(SPEC_ON_ALL_RUBIES)
 
 $(SPEC_ON_ALL_RUBIES): spec-%:
-	$* -w -Ilib $(SPECS)
+	$* -w $(LIB) spec/rubygems_integration_spec.rb
+	DEBIAN_RUBY_STANDALONE=1 $* -w $(LIB) spec/ruby_standalone_spec.rb
 
 install:
 	install -m 755 -d $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults

=== debian/changelog ===
rubygems-integration (1.17.2) unstable; urgency=medium

  [ Josef Šimánek ]
  * Redefine Gem::Specification::rubyforge_project= only if it exists

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 14 Jul 2020 17:03:54 -0300

rubygems-integration (1.17.1) unstable; urgency=medium

  * Revert "Patch rubyforge_project= only when available."

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 09 Jun 2020 11:24:59 -0300

rubygems-integration (1.17) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Drop support for ruby < 2.7
  * Make the integration with ca-certificates non-optional
  * Makefile: run against system libraries under autopkgtest
  * Provide a backend implementation for ruby-standalone
  * Augment default gem search path
    - Add /usr/local/lib/ruby/gems/${ruby_version}
    - Add /usr/${arch}/lib/ruby/gems/${ruby_version}
    My idea is to switch some defaults in the future, so that:
    - locallly-installed gems are installed to /usr/local/...
    - gem2deb installs arch:all packages to /usr/lib/...
    - gem2deb installs arch:any packages to /usr/${arch}lib/...
    Long-term, I would like to deprecate /usr/share/rubygems-integration/
  * Drop incorrect usage of RUBY_VERSION

  [ Josef Šimánek ]
  * Patch rubyforge_project= only when available.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 08 Jun 2020 09:26:30 -0300

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: bundler
+Breaks: ruby2.5
 Multi-Arch: foreign
 Description: integration of Debian Ruby packages with Rubygems
  rubygems-integration makes Debian Ruby packages recognizable by Rubygems.

## rubygems-integration 1.18

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,6 @@
 
 $(SPEC_ON_ALL_RUBIES): spec-%:
 	$* -w $(LIB) spec/rubygems_integration_spec.rb
-	DEBIAN_RUBY_STANDALONE=1 $* -w $(LIB) spec/ruby_standalone_spec.rb
 
 install:
 	install -m 755 -d $(DESTDIR)/usr/lib/ruby/vendor_ruby/rubygems/defaults

=== debian/changelog ===
rubygems-integration (1.18) unstable; urgency=medium

  * Disable `gem update --system`

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 16 Jan 2021 12:46:57 -0300

rubygems-integration (1.17.3) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Antonio Terceiro ]
  * Drop ruby-standalone tests

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 23 Nov 2020 17:00:06 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rubygems-integration
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper-compat (= 12),

## rubygems-integration 1.18ubuntu1

=== debian/changelog ===
rubygems-integration (1.18ubuntu1) oracular; urgency=medium

  * d/control/tests: Define env var MT_COMPAT for compatibility
    with Minitest 5.20.0 in Ruby 3.3 (LP: #2077617)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 22 Aug 2024 14:52:23 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rubygems-integration
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper-compat (= 12),

=== debian/tests/control ===
--- 
+++ 
@@ -5,9 +5,14 @@
          ruby-magic,
          @
 
-Test-Command: make spec
+Test-Command: MT_COMPAT=true make spec
 Depends: @, ruby, ruby-all-dev
 Features: test-name=spec
+
+Test-Command: MT_COMPAT=true make spec
+Depends: @, ruby, ruby-all-dev
+Restrictions: needs-root
+Features: test-name=spec-as-root
 
 Test-Command: gem list --installed stringio
 Features: test-name=default-gems

## rubygems-integration 1.19

=== debian/changelog ===
rubygems-integration (1.19) unstable; urgency=medium

  * Team upload.

  [ Chris Hofstaedtler ]
  * Remove myself from Uploaders

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Lucas Kanashiro ]
  * Comply with newer Minitest syntax
  * Declare compliance with Debian Policy 4.7.0

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 13 Jan 2025 23:01:08 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: rubygems-integration
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>,
-           Christian Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.5.0
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>
+Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/rubygems-integration.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rubygems-integration
 Rules-Requires-Root: no

=== debian/tests/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
          ruby-magic,
          @
 
-Test-Command: MT_COMPAT=true make spec
+Test-Command: make spec
 Depends: @, ruby, ruby-all-dev
 Features: test-name=spec
 
-Test-Command: MT_COMPAT=true make spec
+Test-Command: make spec
 Depends: @, ruby, ruby-all-dev
 Restrictions: needs-root
 Features: test-name=spec-as-root

## rubygems-integration 1.19build1

=== debian/changelog ===
rubygems-integration (1.19build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 12:02:00 +0100
